Ops: 
  - !PatchPen
    Pen: 0
    Speed: 500
    Frequency: 50000
    Power: 30.0
    PulseWidth: 2

  - !ClonePen
    From: 0
    To: 255
    Inclusive: True

  # - !PatchPen
  #   Pen: 0
  #   Power: 10.0

  # - !PatternPen
  #   From: 0
  #   To: 40
  #   Field: !Power 2

  # - !DeleteObjects
  #   Layer: 0

  # - !HatchArray
  #   Layer: 0
  #   Width: 3.0
  #   Height: 2.0
  #   Columns: 8
  #   Rows: 5
  #   Spacing: 0.5
  #   Z: 0.0
  #   StartingPen: 0
  #   Hatch:
  #     LineSpacing: 0.1

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 0 }
  #   Export: 'export.bin'

  - !Object
    # Input: !Rectangle { Width: 2, Height: 3 }
    Input: !Existing { Layer: 0, Object: 0 }
    Z: 0.8
    # Origin: { X: 10.0, Y: 10.0 }
    # Pen: 0
    Array:
      Columns: 15
      Rows: 10
      Spacing: 2.3
      RandomizeOrder: True
      StartingPen: 0
      # PatternX: !Frequency 5000
      # PatternY: !Power 1.0
      # PatternX: !PulseWidth 1
      # PatternY: !Frequency 10000
    # Hatch:
    #   LineSpacing: 0.01
    ReplaceObject: 0

  - !RandomizePen
    Index: 0
    Count: 30
    Speed: [100, 1000, 100] # [min, max, step]
    Power: [10, 100, 5] # [min, max, step]
    Frequency: [20000, 1000000, 1000] # [min, max, step]
    PulseWidth: [2, 80, 2] # [min, max, step]

  # - !Object
  #   Input: !Rectangle { Width: 10, Height: 5}
  #   Z: 0.0
  #   Origin: { X: 10.0, Y: 10.0 }
  #   Pen: 0
  #   ReplaceObject: 0

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 0 }
  #   Origin: { X: 10.0, Y: 10.0 }
  #   ReplaceObject: 0

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 1 }
  #   Origin: { X: 10.0, Y: 10.0 }
  #   ReplaceObject: 1

  # - !Object
  #   Input: !Circle { Radius: 3.0 }

  # - !Object
  #   Input: !Import { Path: 'export.bin' }
